var os = require('os');
var childProcess = require('child_process');

function getLocalIps(flagIpv6) {
    var ifaces = os.networkInterfaces();
    var ips = [];
    var func = function(details) {
        if (!flagIpv6 && details.family === 'IPv6') {
            return;
        }
        ips.push(details.address);
    };
    for (var dev in ifaces) {
        ifaces[dev].forEach(func);
    }
    return ips;
};
var ip = getLocalIps()[1];
var port = 8899;
var host  = ip + ':' + port;

var exec = childProcess.exec;
var execSync = childProcess.execSync;

exec('php -S ' + host, function(error, stdout, stderr){
    if(error) {
        console.error('error: ' + error);
        return;
    }
});
console.log("服务地址：" + host);

exec('fis3 release -w', function(error, stdout, stderr){
    if(error) {
        console.error('error: ' + error);
        return;
    }
});