<!doctype html>
<html>

<head ms-controller="head">
    <meta charset="utf-8" />
    <title>大搜卡片本地预览</title>
    <meta name="viewport" content="width=device-width,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
    <meta name="format-detection" content="telephone=no" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <title></title>
    <style>
    html,
    body{
        margin: 0;
        padding: 0;
    }
    body,
    *:hover {
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -webkit-text-size-adjust: 100%;
        -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    }

    h1 {
        text-align: center;
        font-size: 24px;
    }
    
    ul {
        list-style: none;
        padding: 0;
    }
    
    li {
        cursor: pointer;
    }
    
    .btn {
        display: block;
        margin: 5px 0 0;
        width: 100%;
        height: 40px;
        line-height: 40px;
        border: 1px solid #ddd;
        border-radius: 3px;
        text-decoration: none;
        text-align: center;
        color: #000;
    }
    
    .btn:active {
        background: #ccc;
    }
    
    .qa {
        color: #f00;
    }

    h1 {
        margin: 0 0 10px;
        height: 44px;
        line-height: 44px;
        text-align: center;
        font-size: 18px;
        background-color: #09f;
        color: #fff;
    }
    .content {
        padding: 0 16px;
    }
    </style>
</head>
<body>
    <h1>大搜卡片本地预览</h1>
    <div class="content">
        <a href="javascript:location.href=location.href;">刷新</a>
        <ul id="j-list">
            {%foreach $cardname as $index => $item%}
            <li><a class="btn" href="index?card={%$item|escape%}">{%$item|escape%}</a></li>
            {%/foreach%}
        </ul>
    </div>
</body>
</html>
