{%* ---- 常规变量 ---- *%}
{%$feData = [
    "tplname" => $smarty.current_dir|basename
]%}


{%* ---- 通用方法 --- *%}
{%* 卡片信息 *%}
{%function name="fe_fn_card_info"%}
data-srcid="{%$cardData.resourceid|escape%}" data-order="{%$cardData.iteration|escape%}" data-tpl="{%$feData.tplname|escape%}"
{%/function%}
{%* 时间计算 *%}
{%function name=rs_display_time%}
{%strip%}
    {%$serverTime=$smarty.now%}
    {%$timeSecond=date("s",$second)%}
    {%$timeMinute=date("i",$second)%}
    {%$timeHour=date("H",$second)%}
    {%$timeDiff=$serverTime-$second%}
    {%$timeDiffMin=$timeDiff/60%}
    {%$timeDiffHour=($timeDiff-60)/3600%}
    {%$timeDiffDay=($timeDiff-60)/86400%}
    {%if $timeDiff >= 0%}
        {%if $timeDiff < 60%}
            {%if $timeSecond =="00"%}
                1分钟内
            {%else%}
                {%$timeDiff|string_format:'%d'%}秒前
            {%/if%}
        {%elseif $timeDiffMin < 60%}
            {%if $timeMinute =="00" && $timeSecond =="00"%}
                1小时内
            {%else%}
                {%$timeDiffMin|string_format:'%d'%}分钟前
            {%/if%}
        {%elseif $timeDiffHour < 1%}
            59分钟前
        {%elseif $timeDiffHour < 24%}
            {%if $timeHour =="00" && $timeMinute =="00" && $timeSecond =="00"%}
                1天内
            {%else%}
                {%$timeDiffHour|string_format:'%d'%}小时前
            {%/if%}
        {%elseif $timeDiffDay < 1%}
            23小时前   
        {%elseif $timeDiffDay < 8%}
            {%$timeDiffDay|string_format:'%d'%}天前
        {%else%}
            {%date("Y年n月j日",$second)%}
        {%/if%}
    {%/if%}
{%/strip%}
{%/function%}
{%* 导流链接 *%}
{%function fe_fn_card_build_url%}{%wiseMakeSearchUrl word=$wd sa=$sa|default:"sf_{%$cardData.iteration|escape:'none'%}_{%$cardData.resourceid|escape:'none'%}" st=$st|default:"11108i" prese=$prese euri=$euri%}{%/function%}
{%* 拼 tc 链接，新增任何参数都应该过组内评审 *%}
{%function fe_fn_card_tc_url url="" query="" undecode='' extra=""%}{%strip%}
    {%if $query%}
        {%$url = {%fe_fn_card_build_url wd=$query%}%}
    {%/if%}
    {%wiseMakeTcUrlNew src=$url tj5="l" l=$l dict=$dict cyc=$cyc alaData=$cardData undecode=$undecode extra=$extra%}
{%/strip%}{%/function%}
{%* 拼模板链接，由于 odp 对 tc 链接加密是在页面渲染后统一用正则匹配a标签加上的，所以提供拼链接的方法，防止后面同学不清楚这个逻辑踩坑 *%}
{%function fe_fn_card_link_prefix url="" query="" undecode="" class="" extra=""%}{%strip%}
    {%if $url || $query%}
        {%$url = {%fe_fn_card_tc_url url=$url query=$query undecode=$undecode extra=$extra%}%}
    {%/if%}
    {%if $url%}
        <a href="{%$url%}" class="{%$class|escape%}">
    {%else%}
        <div class="{%$class|escape%}">
    {%/if%}
{%/strip%}{%/function%}
{%function fe_fn_card_link_suffix url="" query=""%}{%strip%}
{%if $url || $query%}
</a>
{%else%}
</div>
{%/if%}
{%/strip%}{%/function%}

{%* 拼sf链接 *%}
{%function fe_fn_card_sflink_prefix class="" cyc="" url="" attr="" extra=""%}{%strip%}
    {%$log=[]%}
    {%if $cyc%}
        {%$log.c = $cyc%}
    {%/if%}
    {%if $is_mip%}
        {%$log.m = $is_mip%}
    {%/if%}
    {%if $ori_url%}
        {%$encori_url = get_enc_url($ori_url, 'baidu_enc', 4)%}
        {%$log.e = $encori_url%}
    {%/if%}
    
    {%if $url%}
        {%if strrpos($url, "word=") === false%}
            {%$url = $url|cat:"&word="|cat:($reqData.word|escape:url)%}
        {%/if%}
        {%if strrpos($url, "title=") === false%}
            {%$url = $url|cat:"&title="|cat:($reqData.word|escape:url)%}
        {%/if%}
        {%if $smarty.server.HTTP_HTTPS == 1%}
            {%$protocal = 'https://'%}
        {%else%}
            {%$protocal = 'http://'%}
        {%/if%}
        {%$sfUrl = preg_replace("/^http(s)?:\/\/m.baidu.com/", '', $url)|cat:"&lid="|cat:$reqData.lid|cat:"&referlid="|cat:$reqData.applid|cat:'&ms=1'%}
        {%$realUrl = $protocal|cat:$smarty.server.HTTP_HOST|cat:$sfUrl%}
        <a href="{%fe_fn_card_tc_url url=$realUrl extra=$extra%}" data-sf-href="{%$sfUrl|escape:none%}" {%if $log%}data-log={%json_encode($log)%} {%/if%} class="WA_LOG_SF {%$class|escape%}"{%if $attr%} {%$attr|escape:none%}{%/if%} {%if $extra%}data-log='{extra:"{%$extra|escape%}"}'{%/if%}>
    {%/if%}
{%/strip%}{%/function%}
{%function fe_fn_card_sflink_suffix url=""%}{%strip%}
</a>
{%/strip%}{%/function%}
{%* 生成 sfmip需要的 url  type:1or2 1走 cahce 2不走 *%}
{%function name=fe_fn_card_sfmip_url url="" type="1" cyc="" pd="mms_mip" title="" sfmipoptions="" sfhs="" extra="" ltj='l' useStub="" class="c-blocka" mainurl=''%}
    {%$miptitle = {%$mainurl|getChNameByDomain%}%}
    {%$protocal = '//'%}
    {%strip%}
    {%$ori_url=$url%}
    {%if $type === '1' || $type === 1%}
        {%if strpos($url, 'http://') === 0%}
            {%$url =  "{%$protocal%}mipcache.bdstatic.com/c/"|cat:substr($url,7)%}
        {%else%}
            {%$urlSubStrLenght = 2%}
            {%if strpos($url, 'https://') === 0%}
                {%$urlSubStrLenght = 8%}
            {%/if%}
            {%$url =  "{%$protocal%}mipcache.bdstatic.com/c/s/"|cat:substr($url,$urlSubStrLenght)%}
        {%/if%}
    {%/if%}
    {%$sfmipExt.url = $url|escape:'url'%}
    {%$sfmipExt.lid = $reqData.lid%}
    {%$sfmipTop.sfhs = 4%}
    {%if isset($sfhs)%}
        {%*
            sfhs = 0 蓝色（默认）
            sfhs = 1 隐藏头部
            sfhs = 2 灰色
            sfhs = 3 黑色
            sfhs = 4 白色
        *%}
        {%$sfmipTop.sfhs = $sfhs%}
    {%/if%}
    {%$sfmipOption = $sfmipoptions%}
    {%$sfmipOption.view._hold = 2%}
    {%fe_fn_card_sflink_prefix url="http://m.baidu.com/sf?word={%$reqData.word|escape:'url'%}&mod=0&tn=normal&pd={%$pd|escape:'url'%}&actname=act_sf_mip&title={%$miptitle|default:$title|escape:'url'%}&top={%json_encode($sfmipTop)|escape:'url'%}&ext={%json_encode($sfmipExt)|escape:'url'%}" ori_url={%$ori_url|escape:none%} is_mip=$type cyc=$cyc class=$class attr={%'data-sf-options="'|cat:(json_encode($sfmipOption)|escape)|cat:'"'%} extra=$extra%}
{%/strip%}{%/function%}

{%* 高级感实验横滑相关算法 *%}
{%* (高级感)计算栅格图片宽度百分比 *%}
{%function name=fe_fn_c_img_wrate_new col=4%}{%strip%}
    {%if $col == 12%}
        {%100%}
    {%else%}
        {%* 97: 一个栅格宽度单位(包含间距) *%}
        {%* 24: 栅格间距间距单位 *%}
        {%* 1140: 12n栅格总宽度单位 *%}
        {%97 * $col / 1140 * 100%}
    {%/if%}
{%/strip%}{%/function%}
{%* (高级感)计算滑动组件父容器宽度 *%}
{%function name=fe_fn_c_img_scroll_pwrate_new col=4 num=''%}{%strip%}
    {%if $num%}
        {%{%fe_fn_c_img_wrate_new col=$col%} * $num|cat:'%'%}
    {%/if%}
{%/strip%}{%/function%}
{%* (高级感)计算滑动组件子元素paddin*%}
{%function name=fe_fn_c_img_scroll_padding col=4 num=''%}{%strip%}
    {%if $num%}
        {%(24/97/$col/$num)*100|cat:'%'%}
    {%/if%}
{%/strip%}{%/function%}



{%* ---- 栅格相关 ---- *%}
{%* 计算栅格图片宽度百分比 *%}
{%function name=fe_fn_c_img_wrate col=3%}
    {%if $col == 12%}
        {%100%}
    {%else%}
        {%* 55: 一个栅格宽度单位(包含间距) *%}
        {%* 24: 栅格间距间距单位 *%}
        {%* 10: 滑动组件中子元素间距单位 *%}
        {%* 636: 12n栅格总宽度单位 *%}
        {%(55 * $col - (24 - 10)) / 636 * 100%}
    {%/if%}
{%/function%}
{%* 计算滑动组件父容器宽度 *%}
{%function name=fe_fn_c_img_scroll_pwrate col=3 num=''%}
    {%if $num%}
        {%{%fe_fn_c_img_wrate col=$col%} * $num|cat:'%'%}
    {%/if%}
{%/function%}
{%* 延迟加载图片&timg imgsrc:图片地址 type:default/s   ——  l/竖图；s/方图；w/宽图 *%}
{%function name=fe_fn_c_img_delay size=60 cuttype=8 imgattr="data-imagedelaysrc" notimg=""%}
    {%if $alaData.iteration < 4 && $imgattr === 'data-imagedelaysrc'%}
        {%if $needDelay !== 1%}
            {%$imgattr = 'src'%}
        {%/if%}
    {%/if%}
    <div class="c-img c-img-{%$type|default:"s"|escape:'none'%}" {%if $imgattr === 'src'%}style="background:none"{%/if%}>
        <img {%$imgattr%}="{%if $notimg == 1%}{%$imgsrc|getHttpsHost|escape:'none'%}{%else%}{%Utils_Common::timgUrl($imgsrc, $cuttype, $size)%}{%/if%}" {%if $needDelay === 1%}data-imageinvisible="1"{%/if%}/>
    </div>
{%/function%}


{%* 标题 *%}
{%function fe_fn_card_title%}
    <h3 class="c-title c-gap-top-small">{%$tplData.title|escape%}</h3>
{%/function%}
{%* foot *%}
{%function fe_fn_card_showurl leftUrl='' leftText=''%}
    <div class="c-span6">
        {%fe_fn_card_link_prefix url=$leftUrl undecode=$undecode class='c-line-clamp1'%}
            {%if $leftText%}
                {%if !$class%}
                    {%$class = 'c-color-gray'%}
                {%/if%}
                <span class="{%$class|escape%}">{%$leftText|escape%}</span>
            {%/if%}
        {%fe_fn_card_link_suffix url=$leftUrl%}
    </div>
    <div class="c-span6">
        {%fe_fn_card_link_prefix url=$rightUrl undecode=$undecode class="c-blocka c-moreinfo"%}
            {%if $rightText || $rightUrl%}
                {%$rightText|escape%}<i class="c-icon c-gap-left-small">&#xe734</i>
            {%/if%}
        {%fe_fn_card_link_suffix url=$rightUrl%}
    </div>
{%/function%}


{%* ---- 内容区 ---- *%}
{%* 数据处理block *%}
{%block name="data_modifier"%}
{%/block%}
{%* 主体 *%}
{%block name="main_container"%}
<div class="c-result sfc-log" {%fe_fn_card_info%}>
    <div class="c-container">
        {%block name="title"%}
            {%fe_fn_card_link_prefix url=$tplData.url class="c-blocka" undecode=$tplData._urlUndecode%}
                {%fe_fn_card_title%}
            {%fe_fn_card_link_suffix url=$tplData.url%}
        {%/block%}
        {%block name="content"%}
        {%/block%}
        {%block name="foot"%}
        {%/block%}
    </div>
</div>
{%/block%}