/**
 * @file 模拟card实现
 * @author zhoufei04
 */
function Card(options) {
    this.data = {};
    this.handlers = [];
    this.container = $(options.container);
}

Card.prototype.setup = function (p) {
    if ('object' === typeof p) {
        // 原生smarty模板通过json_encode存进去之后，在setup回调中拿到的好像直接就是对象
        // 不必手动parse
        for (var i in p) {
            if (p.hasOwnProperty(i)) {
                try {
                    p[i] = JSON.parse(p[i]);
                } catch (e) {

                }
            }
        }

        this.data = p;
    } else if ('function' === typeof p) {
        this.handlers.push(p);
    }
};

Card.prototype.init = function () {
    var me = this;

    this.handlers.forEach(function (handler) {
        handler.apply(me);
    });
};

// mock
Card.prototype.makeTcUrl = function () {
    // console.log('makeTcUrl log ……');
    return ''
};

Card.prototype._parsedTcUrl = function () {
    if (this._tcObj) return this._tcObj;
    var t = this.data._tcUrl;
    if (!t) return !1;
    t = t.replace(/&amp;/g, "&");
    var n = e(t);
    return this._tcUrlObj = n
};

Card.prototype.sendLog = function () {};

