window.view = {
    events: {
        start: [],
        ready: []
    },
    on: function (event, callback) {
        var events = this.events;
        var cbs = events[event] = events[event] || [];

        cbs.push(callback);
    },
    trigger: function (event) {
        this.events[event].forEach(function (cb) {
            cb();
        });
    }
};

window.page = {};
page.comm = page.comm || {};
page.comm.query = "\u5317\u4eac\u7fbd\u6bdb\u7403\u9986";
page.comm.lid = "11512513522747827935";
page.comm.applid = "11535065794620464057";
page.comm.pd = "poi";
page.comm.tplname = "normal";
page.comm.actname = "";
page.comm.title = "\u674e\u5b81.\u6cf0\u5ddd\u7fbd\u6bdb\u7403\u9986";
page.comm.frsrcid = "46678";
page.comm.frorder = "1";
page.comm.resource_id = "4256";
page.comm.ext = "{\"loc\":\"12946097.15,4851034.8\",\"c\":\"131\",\"cn\":\"北京市\",\"poi_zone\":\"\",\"user_loc\":\"\",\"sc\":\"289\",\"scn\":\"上海\",\"zone\":\"\"}";
page.comm.top = "";
page.comm.pn = 0;
page.comm.rn = "10";
page.comm.sids = "106473_102569_101556_100187_102479_100101_111913_107851_110595_110600_110629_110643_107800_111124_110718_111967_110693_110498_110011_110672_111550_111169_111331_110654_107311_110031_111218_110085_112005";
page.comm.ssid = "0";
page.comm.from = "0";
page.comm.bd_page_type = "1";
page.comm.baiduid = "C934185B9A7EAB2F7D938320308BD949";
page.comm.pu = "usm@0,sz@224_220,ta@qbase___3_537";
page.comm.ref = "www_iphone";
page.comm.referlid = "";
page.comm.isAsync = 0;
page.comm.user = {
    uid: "822209138",
    uname: "让周飞",
    displayname: "让周飞"
};

page.container = $('html');
page.head = $('#sfa-head');

page.https = page.https || {};
page.https.domain = (function () {
    var list = {
        "fclick.baidu.com": "https://sp0.baidu.com/-rU_dTmfKgQFm2e88IuM_a",
        "sestat.baidu.com": "https://sp1.baidu.com/5b1ZeDe5KgQFm2e88IuM_a",
        "image.baidu.com": "https://sp1.baidu.com/70cHazva2gU2pMbgoY3K",
        "aladdin.wapmap.baidu.com": "https://sp2.baidu.com/90gHaDqh_cgXo1ufo-zN2TxrfQVwcu8e",
        "map.baidu.com": "https://sp1.baidu.com/80MWsjip0QIZ8tyhnq",
        "res.iciba.com": "https://ss3.bdstatic.com/5r1Zsj3n0QQF8tyhnq",
        "snap0.map.bdimg.com": "https://ss0.bdstatic.com/5boHfGba_QUU8t7mm9GUKT-xh_",
        "t10.baidu.com": "https://ss0.baidu.com/6ONWsjip0QIZ8tyhnq",
        "t11.baidu.com": "https://ss1.baidu.com/6ONXsjip0QIZ8tyhnq",
        "t12.baidu.com": "https://ss2.baidu.com/6ONYsjip0QIZ8tyhnq",
        "online0.map.bdimg.com": "https://ss0.bdstatic.com/8bo_dTSlR1gBo1vgoIiO_jowehsv",
        "sensearch.baidu.com": "https://sp1.baidu.com/5b11fzupBgM18t7jm9iCKT-xh_",
        "api.open.baidu.com": "https://sp0.baidu.com/9_Q4sjW91Qh3otqbppnN2DJv",
        "opendata.baidu.com": "https://sp0.baidu.com/8aQDcjqpAAV3otqbppnN2DJv"
    };
    var get = function (url) {
        var reg = /^(http[s]?:\/\/)?([^\/]+)(.*)/,
            matches = url.match(reg);
        url = list.hasOwnProperty(matches[2]) && (list[matches[2]] + matches[3]) || url;
        return url;
    };
    var set = function (kdomain, vdomain) {
        list[kdomain] = vdomain;
    };
    return {
        get: get,
        set: set
    }
})();

page.utils = {
    "link": {
        "origin": "https://m.baidu.com"
    },
    "ls": {
        "enabled": true
    },
    "ss": {
        "enabled": true
    },
    "login": {
        "isLogin": false
    }
};

page.amd = {
    keys: {},
    addPaths: function (e) {
        "object" == typeof e && (require.config({
            paths: e
        }), $.extend(page.amd.keys, e))
    },
    exist: function (e) {
        return e && "undefined" != typeof page.amd.keys[e] ? !0 : !1
    }
}

window.fif = {
    action: {
        init: function () {
            a = new m, c = !1, l = "/", u = "/", f = !0
        },
        getState: function () {
            return b
        },
        regist: function (e, t) { h(e, "illegal action url"), h(r(t), "illegal service, make sure to extend from sfr/service"), h(!a.has(e), "path already registerd"), p.add(e, this.dispatch), a.set(e, t) },
        unregist: function (e) { h(e, "illegal action url"), h(a.has(e), "path not registered"), p.remove(e), a.delete(e) },
        dispatch: function (e, t) {
            h(e, "cannot dispatch with options:" + e);
            var r = a.get(e.pathPattern),
                n = a.get(t.pathPattern),
                i = b;
            return b = {}, c && (c = !1, e.options.src = "back"), e.options && "sync" === e.options.src ? u = e.url || "/" : f = !1, _.reset([n && n.detach.bind(n, e, t, i), r && r.create.bind(r, e, t, i), n && n.destroy.bind(n, e, t, i), r && r.attach.bind(r, e, t, i)]).exec()
        },
        isIndexPage: function () {
            return f
        },
        remove: function (e) {
            return a.delete(e)
        },
        exist: function (e) {
            return a.has(e)
        },
        config: function (e) { e && e.root && (l = e.root), p.config(e) },
        clear: function () { a.clear(), p.clear() },
        redirect: function (e, t, r, n) {
            e = i(e), v.assign(b, n);
            try { p.redirect(e, t, r) } catch (o) {
                throw e = g.resolve(l, e), w.replace(e), o
            }
        },
        back: function () { c = !0, history.back() },
        reset: function (e, t, r, n) { f && (u = e), v.assign(b, n), p.reset(e, t, r) },
        start: function (e) { arguments.length && y.config(e), document.body.addEventListener("click", o), p.start() },
        stop: function () { document.body.removeEventListener("click", o), p.stop() },
        update: function (e, t, r, n) {
            r = r ? r : {}, r.hasOwnProperty("silent") || (r.silent = !0);
            var i = w.href.replace(/.*\/([^\/]+$)/, "/$1"),
                o = w.pathname.replace(/.*\/([^\/]+$)/, "/$1"),
                s = p.getState();
            if (!a.has(o)) throw new Error("service not found:" + o);
            var c = a.get(o),
                u = { from: { url: i }, to: { url: e, path: o }, extra: n };
            return p.reset(e, t, r), d.resolve().then(function () {
                return c.update(s, u, n)
            })
        }
    }
}

! function (t) {

    function e(t, e) {
        for (var n in e) e.hasOwnProperty(n) && (t[n] = e[n]);
        return t
    }

    function n() {
        this.raw = [], this.length = 0
    }

    function r() {
        return "___" + O++
    }

    function i(t, e) {
        var n = new Function;
        n.prototype = e.prototype, t.prototype = new n, t.prototype.constructor = t
    }

    function o(t) {
        return k[t]
    }

    function s(t) {
        return '"' + t.replace(/\x5C/g, "\\\\").replace(/"/g, '\\"').replace(/\x0A/g, "\\n").replace(/\x09/g, "\\t").replace(/\x0D/g, "\\r") + '"'
    }

    function a(t) {
        return t.replace(/[\^\[\]\$\(\)\{\}\?\*\.\+]/g, function (t) {
            return "\\" + t
        })
    }

    function u(t) {
        var e = arguments;
        return t.replace(/\{([0-9]+)\}/g, function (t, n) {
            return e[n - 0 + 1]
        })
    }

    function c(t) {
        return t = t.replace(/^\s*\*/, ""), u('gv({0},["{1}"])', s(t), t.replace(/\[['"]?([^'"]+)['"]?\]/g, function (t, e) {
            return "." + e
        }).split(".").join('","'))
    }

    function l(t, e, n, r, i, o) {
        for (var s = n.length, a = t.split(e), u = 0, c = [], l = 0, f = a.length; f > l; l++) {
            var h = a[l];
            if (l) {
                var p = 1;
                for (u++;;) {
                    var d = h.indexOf(n);
                    if (0 > d) {
                        c.push(u > 1 && p ? e : "", h);
                        break
                    }
                    if (u = r ? u - 1 : 0, c.push(u > 0 && p ? e : "", h.slice(0, d), u > 0 ? n : ""), h = h.slice(d + s), p = 0, 0 === u) break
                }
                0 === u && (i(c.join("")), o(h), c = [])
            } else h && o(h)
        }
        u > 0 && c.length > 0 && (o(e), o(c.join("")))
    }

    function f(t, e, n) {
        var r, i = [],
            o = e.options,
            a = "",
            u = "",
            h = "",
            p = "";
        return n && (a = "ts(", u = ")", h = N, p = D, r = o.defaultFilter), l(t, o.variableOpen, o.variableClose, 1, function (t) {
            n && t.indexOf("|") < 0 && r && (t += "|" + r);
            var o = t.indexOf("|"),
                s = (o > 0 ? t.slice(0, o) : t).replace(/^\s+/, "").replace(/\s+$/, ""),
                l = o > 0 ? t.slice(o + 1) : "",
                d = 0 === s.indexOf("*"),
                g = [d ? "" : a, c(s), d ? "" : u];
            if (l) {
                l = f(l, e);
                for (var m = l.split("|"), v = 0, y = m.length; y > v; v++) {
                    var b = m[v];
                    /^\s*([a-z0-9_-]+)(\((.*)\))?\s*$/i.test(b) && (g.unshift('fs["' + RegExp.$1 + '"]('), RegExp.$3 && g.push(",", RegExp.$3), g.push(")"))
                }
            }
            i.push(h, g.join(""), p)
        }, function (t) {
            i.push(h, n ? s(t) : t, p)
        }), i.join("")
    }

    function h(t, e) {
        this.value = t, this.engine = e
    }

    function p(t, e) {
        this.value = t, this.engine = e, this.children = [], this.cloneProps = []
    }

    function d(t, e) {
        var n = t.stack,
            r = e ? n.find(function (t) {
                return t instanceof e
            }) : n.bottom();
        if (r) {
            for (var i;
                (i = n.top()) !== r;) {
                if (!i.autoClose) throw new Error(i.type + " must be closed manually: " + i.value);
                i.autoClose(t)
            }
            r.close(t)
        }
        return r
    }

    function g(t, e) {
        if (!/^\s*([a-z0-9\/_-]+)\s*(\(\s*master\s*=\s*([a-z0-9\/_-]+)\s*\))?\s*/i.test(t)) throw new Error("Invalid " + this.type + " syntax: " + t);
        this.master = RegExp.$3, this.name = RegExp.$1, p.call(this, t, e), this.blocks = {}
    }

    function m(t, e) {
        if (!/^\s*([a-z0-9\/_-]+)\s*$/i.test(t)) throw new Error("Invalid " + this.type + " syntax: " + t);
        this.name = RegExp.$1, p.call(this, t, e), this.cloneProps = ["name"]
    }

    function v(t, e) {
        if (!/^\s*([a-z0-9\/_-]+)\s*$/i.test(t)) throw new Error("Invalid " + this.type + " syntax: " + t);
        this.name = RegExp.$1, p.call(this, t, e), this.cloneProps = ["name", "state", "blocks"], this.blocks = {}
    }

    function y(t, e) {
        if (!/^\s*([a-z0-9_]+)\s*=([\s\S]*)$/i.test(t)) throw new Error("Invalid " + this.type + " syntax: " + t);
        this.name = RegExp.$1, this.expr = RegExp.$2, p.call(this, t, e), this.cloneProps = ["name", "expr"]
    }

    function b(t, e) {
        if (!/^\s*([a-z0-9_-]+)\s*(\(([\s\S]*)\))?\s*$/i.test(t)) throw new Error("Invalid " + this.type + " syntax: " + t);
        this.name = RegExp.$1, this.args = RegExp.$3, p.call(this, t, e), this.cloneProps = ["name", "args"]
    }

    function x(t, e) {
        if (!/^\s*([a-z0-9\/_-]+)\s*(\(([\s\S]*)\))?\s*$/i.test(t)) throw new Error("Invalid " + this.type + " syntax: " + t);
        this.name = RegExp.$1, this.args = RegExp.$3, p.call(this, t, e), this.cloneProps = ["name", "args"]
    }

    function w(t, e) {
        var n = new RegExp(u("^\\s*({0}[\\s\\S]+{1})\\s+as\\s+{0}([0-9a-z_]+){1}\\s*(,\\s*{0}([0-9a-z_]+){1})?\\s*$", a(e.options.variableOpen), a(e.options.variableClose)), "i");
        if (!n.test(t)) throw new Error("Invalid " + this.type + " syntax: " + t);
        this.list = RegExp.$1, this.item = RegExp.$2, this.index = RegExp.$4, p.call(this, t, e), this.cloneProps = ["list", "item", "index"]
    }

    function E(t, e) {
        p.call(this, t, e)
    }

    function T(t, e) {
        E.call(this, t, e)
    }

    function j(t, e) {
        p.call(this, t, e)
    }

    function C(t, e) {
        e.target = t;
        var n = e.engine,
            r = t.name;
        if (n.targets[r]) switch (n.options.namingConflict) {
        case "override":
            n.targets[r] = t, e.targets.push(r);
        case "ignore":
            break;
        default:
            throw new Error("Target exists: " + r)
        } else n.targets[r] = t, e.targets.push(r)
    }

    function R(t, e) {
        F[t] = e, e.prototype.type = t
    }

    function P(t) {
        this.options = {
            commandOpen: "<%",
            commandClose: "%>",
            commandSyntax: /^\s*(\/)?([a-z]+)\s*(?::([\s\S]*))?$/,
            variableOpen: "${",
            variableClose: "}",
            defaultFilter: "html",
            namingConflict: "override"
        }, this.config(t), this.targets = {}, this.filters = e({}, A)
    }

    function S(t, e) {
        function r() {
            var t;
            if (f.length > 0 && (t = f.join(""))) {
                var n = new h(t, e);
                n.beforeAdd(c), u.top().addChild(n), f = [], e.options.strip && c.current instanceof p && (n.value = t.replace(/^[\x20\t\r]*\n/, "")), c.current = n
            }
        }
        var i, o = e.options.commandOpen,
            s = e.options.commandClose,
            a = e.options.commandSyntax,
            u = new n,
            c = {
                engine: e,
                targets: [],
                stack: u,
                target: null
            },
            f = [];
        return l(t, o, s, 0, function (t) {
            var n = a.exec(t);
            if (n && (i = F[n[2].toLowerCase()]) && "function" == typeof i) {
                r();
                var u = c.current;
                e.options.strip && u instanceof h && (u.value = u.value.replace(/\r?\n[\x20\t]*$/, "\n")), n[1] ? u = d(c, i) : (u = new i(n[3], e), "function" == typeof u.beforeOpen && u.beforeOpen(c), u.open(c)), c.current = u
            } else /^\s*\/\//.test(t) || f.push(o, t, s);
            i = null
        }, function (t) {
            f.push(t)
        }), r(), d(c), c.targets
    }
    n.prototype = {
        push: function (t) {
            this.raw[this.length++] = t
        },
        pop: function () {
            if (this.length > 0) {
                var t = this.raw[--this.length];
                return this.raw.length = this.length, t
            }
        },
        top: function () {
            return this.raw[this.length - 1]
        },
        bottom: function () {
            return this.raw[0]
        },
        find: function (t) {
            for (var e = this.length; e--;) {
                var n = this.raw[e];
                if (t(n)) return n
            }
        }
    };
    var O = 178245,
        k = {
            "&": "&amp;",
            "<": "&lt;",
            ">": "&gt;",
            '"': "&quot;",
            "'": "&#39;"
        },
        A = {
            html: function (t) {
                return t.replace(/[&<>"']/g, o)
            },
            url: encodeURIComponent,
            raw: function (t) {
                return t
            }
        },
        $ = 'var r="";',
        N = "r+=",
        D = ";",
        M = "return r;";
    "undefined" != typeof navigator && /msie\s*([0-9]+)/i.test(navigator.userAgent) && RegExp.$1 - 0 < 8 && ($ = "var r=[],ri=0;", N = "r[ri++]=", M = 'return r.join("");'), h.prototype = {
        getRendererBody: function () {
            var t = this.value,
                e = this.engine.options;
            return !t || e.strip && /^\s*$/.test(t) ? "" : f(t, this.engine, 1)
        },
        clone: function () {
            return this
        }
    }, p.prototype = {
        addChild: function (t) {
            this.children.push(t)
        },
        open: function (t) {
            var e = t.stack.top();
            e && e.addChild(this), t.stack.push(this)
        },
        close: function (t) {
            t.stack.top() === this && t.stack.pop()
        },
        getRendererBody: function () {
            for (var t = [], e = this.children, n = 0; n < e.length; n++) t.push(e[n].getRendererBody());
            return t.join("")
        },
        clone: function () {
            for (var t = new this.constructor(this.value, this.engine), e = 0, n = this.children.length; n > e; e++) t.addChild(this.children[e].clone());
            for (var e = 0, n = this.cloneProps.length; n > e; e++) {
                var r = this.cloneProps[e];
                t[r] = this[r]
            }
            return t
        }
    };
    var _ = 'data=data||{};var v={},fs=engine.filters,hg=typeof data.get=="function",gv=function(n,ps){var p=ps[0],d=v[p];if(d==null){if(hg){return data.get(n);}d=data[p];}for(var i=1,l=ps.length;i<l;i++)if(d!=null)d = d[ps[i]];return d;},ts=function(s){if(typeof s==="string"){return s;}if(s==null){s="";}return ""+s;};';
    i(g, p), i(m, p), i(v, p), i(y, p), i(b, p), i(x, p), i(w, p), i(E, p), i(T, E), i(j, E);
    var L = {
        READING: 1,
        READED: 2,
        APPLIED: 3,
        READY: 4
    };
    v.prototype.applyMaster = g.prototype.applyMaster = function (t) {
        function e(t) {
            var r = t.children;
            if (r instanceof Array)
                for (var i = 0, o = r.length; o > i; i++) {
                    var s = r[i];
                    s instanceof m && n[s.name] && (s = r[i] = n[s.name]), e(s)
                }
        }
        if (this.state >= L.APPLIED) return 1;
        var n = this.blocks,
            r = this.engine.targets[t];
        return r && r.applyMaster(r.master) ? (this.children = r.clone().children, e(this), this.state = L.APPLIED, 1) : void 0
    }, g.prototype.isReady = function () {
        function t(r) {
            for (var i = 0, o = r.children.length; o > i; i++) {
                var s = r.children[i];
                if (s instanceof v) {
                    var a = e.targets[s.name];
                    n = n && a && a.isReady(e)
                } else s instanceof p && t(s)
            }
        }
        if (this.state >= L.READY) return 1;
        var e = this.engine,
            n = 1;
        return this.applyMaster(this.master) ? (t(this), n && (this.state = L.READY), n) : void 0
    }, g.prototype.getRenderer = function () {
        if (this.renderer) return this.renderer;
        if (this.isReady()) {
            var t = new Function("data", "engine", [_, $, this.getRendererBody(), M].join("\n")),
                e = this.engine;
            return this.renderer = function (n) {
                return t(n, e)
            }, this.renderer
        }
        return null
    }, g.prototype.open = function (t) {
        d(t), p.prototype.open.call(this, t), this.state = L.READING, C(this, t)
    }, y.prototype.open = x.prototype.open = function (t) {
        t.stack.top().addChild(this)
    }, m.prototype.open = function (t) {
        p.prototype.open.call(this, t), (t.imp || t.target).blocks[this.name] = this
    }, T.prototype.open = function (t) {
        var e = new j;
        e.open(t);
        var n = d(t, E);
        n.addChild(this), t.stack.push(this)
    }, j.prototype.open = function (t) {
        var e = d(t, E);
        e.addChild(this), t.stack.push(this)
    }, v.prototype.open = function (t) {
        this.parent = t.stack.top(), this.target = t.target, p.prototype.open.call(this, t), this.state = L.READING, t.imp = this
    }, x.prototype.close = y.prototype.close = function () {}, v.prototype.close = function (t) {
        p.prototype.close.call(this, t), this.state = L.READED, t.imp = null
    }, g.prototype.close = function (t) {
        p.prototype.close.call(this, t), this.state = this.master ? L.READED : L.APPLIED, t.target = null
    }, v.prototype.autoClose = function (t) {
        var e = this.parent.children;
        e.push.apply(e, this.children), this.children.length = 0;
        for (var n in this.blocks) this.target.blocks[n] = this.blocks[n];
        this.blocks = {}, this.close(t)
    }, x.prototype.beforeOpen = v.prototype.beforeOpen = y.prototype.beforeOpen = w.prototype.beforeOpen = b.prototype.beforeOpen = m.prototype.beforeOpen = E.prototype.beforeOpen = h.prototype.beforeAdd = function (t) {
        if (!t.stack.bottom()) {
            var e = new g(r(), t.engine);
            e.open(t)
        }
    }, v.prototype.getRendererBody = function () {
        return this.applyMaster(this.name), p.prototype.getRendererBody.call(this)
    }, x.prototype.getRendererBody = function () {
        return u("{0}engine.render({2},{{3}}){1}", N, D, s(this.name), f(this.args, this.engine).replace(/(^|,)\s*([a-z0-9_]+)\s*=/gi, function (t, e, n) {
            return (e || "") + s(n) + ":"
        }))
    }, y.prototype.getRendererBody = function () {
        return this.expr ? u("v[{0}]={1};", s(this.name), f(this.expr, this.engine)) : ""
    }, E.prototype.getRendererBody = function () {
        return u("if({0}){{1}}", f(this.value, this.engine), p.prototype.getRendererBody.call(this))
    }, j.prototype.getRendererBody = function () {
        return u("}else{{0}", p.prototype.getRendererBody.call(this))
    }, w.prototype.getRendererBody = function () {
        return u('var {0}={1};if({0} instanceof Array)for (var {4}=0,{5}={0}.length;{4}<{5};{4}++){v[{2}]={4};v[{3}]={0}[{4}];{6}}else if(typeof {0}==="object")for(var {4} in {0}){v[{2}]={4};v[{3}]={0}[{4}];{6}}', r(), f(this.list, this.engine), s(this.index || r()), s(this.item), r(), r(), p.prototype.getRendererBody.call(this))
    }, b.prototype.getRendererBody = function () {
        var t = this.args;
        return u("{2}fs[{5}]((function(){{0}{4}{1}})(){6}){3}", $, M, N, D, p.prototype.getRendererBody.call(this), s(this.name), t ? "," + f(t, this.engine) : "")
    };
    var F = {};
    R("target", g), R("block", m), R("import", v), R("use", x), R("var", y), R("for", w), R("if", E), R("elif", T), R("else", j), R("filter", b), P.prototype.config = function (t) {
        e(this.options, t)
    }, P.prototype.compile = P.prototype.parse = function (t) {
        if (t) {
            var e = S(t, this);
            if (e.length) return this.targets[e[0]].getRenderer()
        }
        return new Function('return ""')
    }, P.prototype.getRenderer = function (t) {
        var e = this.targets[t];
        return e ? e.getRenderer() : void 0
    }, P.prototype.render = function (t, e) {
        var n = this.getRenderer(t);
        return n ? n(e) : ""
    }, P.prototype.addFilter = function (t, e) {
        "function" == typeof e && (this.filters[t] = e)
    };
    var z = new P;

    z.Engine = P;

    if ("object" == typeof exports && "object" == typeof module) {
        exports = module.exports = z
    } else {
        if ("function" == typeof define && define.amd) {
            define("sf/app/dep/etpl", [], z);
        }
        // else {
        t.etpl = z;
        // }
    };
}(page);
